Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZCacheHelper Class Reference

## Public Member Functions
| __construct (eZCLI $cli, eZScript $script)
| clearItems ( $cacheEntries, $name)
| purgeItems ( $cacheEntries, $name, $purgeSleep, $purgeMax, $purgeExpiry)
| reportProgress ( $filename, $count)

## Private Member Functions
| internalClear ( $purge, $cacheEntries, $name, $purgeSleep=null, $purgeMax=null, $purgeExpiry=null)

## Private Attributes
| $cli
| $script

## Detailed Description

Definition at line 11 of file ezcachehelper.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCacheHelper::__construct | ( | eZCLI | $cli,
|  | eZScript | $script
| ) |  |

Definition at line 23 of file ezcachehelper.php.

References $cli, and $script.

## Member Function Documentation

## ◆ clearItems()

eZCacheHelper::clearItems | ( |  | $cacheEntries,
|  |  | $name
| ) |  |

Definition at line 29 of file ezcachehelper.php.

References internalClear().

## ◆ internalClear()

eZCacheHelper::internalClear | ( |  | $purge,
|  |  | $cacheEntries,
|  |  | $name,
|  |  | $purgeSleep = `null`,
|  |  | $purgeMax = `null`,
|  |  | $purgeExpiry = `null`
| ) |  |
| private

Definition at line 39 of file ezcachehelper.php.

References eZSys\cacheDirectory(), eZCache\clearItem(), and eZSys\rootDir().

Referenced by clearItems(), and purgeItems().

## ◆ purgeItems()

eZCacheHelper::purgeItems | ( |  | $cacheEntries,
|  |  | $name,
|  |  | $purgeSleep,
|  |  | $purgeMax,
|  |  | $purgeExpiry
| ) |  |

Definition at line 34 of file ezcachehelper.php.

References internalClear().

## ◆ reportProgress()

eZCacheHelper::reportProgress | ( |  | $filename,
|  |  | $count
| ) |  |

Definition at line 136 of file ezcachehelper.php.

## Member Data Documentation

## ◆ $cli

eZCacheHelper::$cli
| private

Definition at line 16 of file ezcachehelper.php.

Referenced by __construct().

## ◆ $script

eZCacheHelper::$script
| private

Definition at line 21 of file ezcachehelper.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezcachehelper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.